Page MenuHomeFreeBSD

multimedia/ffmpeg: update to 4.0
ClosedPublic

Authored by jbeich on Apr 23 2018, 8:16 PM.

Details

Reviewers
None
Group Reviewers
multimedia
Commits
rP468844: multimedia/ffmpeg: update to 4.0
Summary
  • Add more options (some are hidden due to missing dependencies)
  • Make LibreSSL use to libtls
  • Drop FFSERVER after 6b35a83214f1
  • Drop -mstackrealign after ea2f72a2c14c
Test Plan
  • poudriere bulk -t multimedia/ffmpeg is green on 10.3 i386/amd64, 10.4 i386/amd64, 11.1 i386/amd64/armv6/aarch64, 12.0 i386/amd64/armv6/armv7/aarch64
  • consumers will be tested via bug 227726

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.Apr 23 2018, 8:16 PM
jbeich edited the summary of this revision. (Show Details)Apr 23 2018, 8:34 PM
jbeich edited the test plan for this revision. (Show Details)
jbeich updated this revision to Diff 41781.
  • Connect LV2 to the build
jbeich updated this revision to Diff 41782.Apr 23 2018, 8:49 PM
  • Unbreak LV2=on build
jbeich updated this revision to Diff 41788.Apr 24 2018, 1:24 AM
  • Add BEIGNET option as it has a dependency
jbeich updated this revision to Diff 41964.Apr 29 2018, 1:02 AM

Rebased after rP468598 to skip gstreamer1-libav bustage

This revision was not accepted when it landed; it landed in state Needs Review.May 2 2018, 3:07 PM
This revision was automatically updated to reflect the committed changes.